Show / Hide Table of Contents

# Class SDL_ttf

##### Inheritance

System.Object
SDL_ttf

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: SDL2

###### Assembly: SDL2-CS.dll

##### Syntax

    public static class SDL_ttf

### Fields

| Improve this Doc View Source

#### SDL_TTF_MAJOR_VERSION

##### Declaration

    public const int SDL_TTF_MAJOR_VERSION = 2

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_TTF_MINOR_VERSION

##### Declaration

    public const int SDL_TTF_MINOR_VERSION = 0

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_TTF_PATCHLEVEL

##### Declaration

    public const int SDL_TTF_PATCHLEVEL = 12

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TTF_HINTING_LIGHT

##### Declaration

    public const int TTF_HINTING_LIGHT = 1

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TTF_HINTING_MONO

##### Declaration

    public const int TTF_HINTING_MONO = 2

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TTF_HINTING_NONE

##### Declaration

    public const int TTF_HINTING_NONE = 3

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TTF_HINTING_NORMAL

##### Declaration

    public const int TTF_HINTING_NORMAL = 0

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TTF_STYLE_BOLD

##### Declaration

    public const int TTF_STYLE_BOLD = 1

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TTF_STYLE_ITALIC

##### Declaration

    public const int TTF_STYLE_ITALIC = 2

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TTF_STYLE_NORMAL

##### Declaration

    public const int TTF_STYLE_NORMAL = 0

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TTF_STYLE_STRIKETHROUGH

##### Declaration

    public const int TTF_STYLE_STRIKETHROUGH = 8

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TTF_STYLE_UNDERLINE

##### Declaration

    public const int TTF_STYLE_UNDERLINE = 4

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### UNICODE_BOM_NATIVE

##### Declaration

    public const int UNICODE_BOM_NATIVE = 65279

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### UNICODE_BOM_SWAPPED

##### Declaration

    public const int UNICODE_BOM_SWAPPED = 65534

##### Field Value

Type | Description
--- | ---
System.Int32 |

### Methods

#### INTERNAL_TTF_SizeUTF8(IntPtr, Byte[], out Int32, out Int32)

##### Declaration

    public static extern int INTERNAL_TTF_SizeUTF8(IntPtr font, byte[] text, out int w, out int h)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.Byte[] | text |
System.Int32 | w |
System.Int32 | h |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetFontKerningSize(IntPtr, Int32, Int32)

##### Declaration

    public static extern int SDL_GetFontKerningSize(IntPtr font, int prev_index, int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.Int32 | prev_index |
System.Int32 | index |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_TTF_VERSION(out SDL.SDL_version)

##### Declaration

    public static void SDL_TTF_VERSION(out SDL.SDL_version X)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_version | X |

#### TTF_ByteSwappedUNICODE(Int32)

##### Declaration

    public static extern void TTF_ByteSwappedUNICODE(int swapped)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | swapped |

#### TTF_CloseFont(IntPtr)

##### Declaration

    public static extern void TTF_CloseFont(IntPtr font)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |

#### TTF_FontAscent(IntPtr)

##### Declaration

    public static extern int TTF_FontAscent(IntPtr font)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### TTF_FontDescent(IntPtr)

##### Declaration

    public static extern int TTF_FontDescent(IntPtr font)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TTF_FontFaceFamilyName(IntPtr)

##### Declaration

    public static string TTF_FontFaceFamilyName(IntPtr font)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |

##### Returns

Type | Description
--- | ---
System.String |

#### TTF_FontFaceIsFixedWidth(IntPtr)

##### Declaration

    public static extern int TTF_FontFaceIsFixedWidth(IntPtr font)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### TTF_FontFaces(IntPtr)

##### Declaration

    public static extern long TTF_FontFaces(IntPtr font)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |

##### Returns

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### TTF_FontFaceStyleName(IntPtr)

##### Declaration

    public static string TTF_FontFaceStyleName(IntPtr font)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |

##### Returns

Type | Description
--- | ---
System.String |

#### TTF_FontHeight(IntPtr)

##### Declaration

    public static extern int TTF_FontHeight(IntPtr font)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### TTF_FontLineSkip(IntPtr)

##### Declaration

    public static extern int TTF_FontLineSkip(IntPtr font)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### TTF_GetFontHinting(IntPtr)

##### Declaration

    public static extern int TTF_GetFontHinting(IntPtr font)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### TTF_GetFontKerning(IntPtr)

##### Declaration

    public static extern int TTF_GetFontKerning(IntPtr font)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### TTF_GetFontOutline(IntPtr)

##### Declaration

    public static extern int TTF_GetFontOutline(IntPtr font)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### TTF_GetFontStyle(IntPtr)

##### Declaration

    public static extern int TTF_GetFontStyle(IntPtr font)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### TTF_GlyphIsProvided(IntPtr, UInt16)

##### Declaration

    public static extern int TTF_GlyphIsProvided(IntPtr font, ushort ch)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.UInt16 | ch |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### TTF_GlyphMetrics(IntPtr, UInt16, out Int32, out Int32, out Int32, out Int32, out Int32)

##### Declaration

    public static extern int TTF_GlyphMetrics(IntPtr font, ushort ch, out int minx, out int maxx, out int miny, out int maxy, out int advance)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.UInt16 | ch |
System.Int32 | minx |
System.Int32 | maxx |
System.Int32 | miny |
System.Int32 | maxy |
System.Int32 | advance |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### TTF_Init()

##### Declaration

    public static extern int TTF_Init()

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TTF_LinkedVersion()

##### Declaration

    public static SDL.SDL_version TTF_LinkedVersion()

##### Returns

Type | Description
--- | ---
SDL.SDL_version |

| Improve this Doc View Source

#### TTF_OpenFont(String, Int32)

##### Declaration

    public static IntPtr TTF_OpenFont(string file, int ptsize)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | file |
System.Int32 | ptsize |

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### TTF_OpenFontIndex(String, Int32, Int64)

##### Declaration

    public static IntPtr TTF_OpenFontIndex(string file, int ptsize, long index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | file |
System.Int32 | ptsize |
System.Int64 | index |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### TTF_OpenFontIndexRW(IntPtr, Int32, Int32, Int64)

##### Declaration

    public static extern IntPtr TTF_OpenFontIndexRW(IntPtr src, int freesrc, int ptsize, long index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |
System.Int32 | freesrc |
System.Int32 | ptsize |
System.Int64 | index |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### TTF_OpenFontRW(IntPtr, Int32, Int32)

##### Declaration

    public static extern IntPtr TTF_OpenFontRW(IntPtr src, int freesrc, int ptsize)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |
System.Int32 | freesrc |
System.Int32 | ptsize |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### TTF_Quit()

##### Declaration

    public static extern void TTF_Quit()

#### TTF_RenderGlyph_Blended(IntPtr, UInt16, SDL.SDL_Color)

##### Declaration

    public static extern IntPtr TTF_RenderGlyph_Blended(IntPtr font, ushort ch, SDL.SDL_Color fg)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.UInt16 | ch |
SDL.SDL_Color | fg |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### TTF_RenderGlyph_Shaded(IntPtr, UInt16, SDL.SDL_Color, SDL.SDL_Color)

##### Declaration

    public static extern IntPtr TTF_RenderGlyph_Shaded(IntPtr font, ushort ch, SDL.SDL_Color fg, SDL.SDL_Color bg)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.UInt16 | ch |
SDL.SDL_Color | fg |
SDL.SDL_Color | bg |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### TTF_RenderGlyph_Solid(IntPtr, UInt16, SDL.SDL_Color)

##### Declaration

    public static extern IntPtr TTF_RenderGlyph_Solid(IntPtr font, ushort ch, SDL.SDL_Color fg)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.UInt16 | ch |
SDL.SDL_Color | fg |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### TTF_RenderText_Blended(IntPtr, String, SDL.SDL_Color)

##### Declaration

    public static extern IntPtr TTF_RenderText_Blended(IntPtr font, string text, SDL.SDL_Color fg)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.String | text |
SDL.SDL_Color | fg |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### TTF_RenderText_Blended_Wrapped(IntPtr, String, SDL.SDL_Color, UInt32)

##### Declaration

    public static extern IntPtr TTF_RenderText_Blended_Wrapped(IntPtr font, string text, SDL.SDL_Color fg, uint wrapped)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.String | text |
SDL.SDL_Color | fg |
System.UInt32 | wrapped |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### TTF_RenderText_Shaded(IntPtr, String, SDL.SDL_Color, SDL.SDL_Color)

##### Declaration

    public static extern IntPtr TTF_RenderText_Shaded(IntPtr font, string text, SDL.SDL_Color fg, SDL.SDL_Color bg)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.String | text |
SDL.SDL_Color | fg |
SDL.SDL_Color | bg |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### TTF_RenderText_Solid(IntPtr, String, SDL.SDL_Color)

##### Declaration

    public static extern IntPtr TTF_RenderText_Solid(IntPtr font, string text, SDL.SDL_Color fg)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.String | text |
SDL.SDL_Color | fg |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### TTF_RenderUNICODE_Blended(IntPtr, String, SDL.SDL_Color)

##### Declaration

    public static extern IntPtr TTF_RenderUNICODE_Blended(IntPtr font, string text, SDL.SDL_Color fg)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.String | text |
SDL.SDL_Color | fg |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### TTF_RenderUNICODE_Blended_Wrapped(IntPtr, String, SDL.SDL_Color, UInt32)

##### Declaration

    public static extern IntPtr TTF_RenderUNICODE_Blended_Wrapped(IntPtr font, string text, SDL.SDL_Color fg, uint wrapped)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.String | text |
SDL.SDL_Color | fg |
System.UInt32 | wrapped |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### TTF_RenderUNICODE_Shaded(IntPtr, String, SDL.SDL_Color, SDL.SDL_Color)

##### Declaration

    public static extern IntPtr TTF_RenderUNICODE_Shaded(IntPtr font, string text, SDL.SDL_Color fg, SDL.SDL_Color bg)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.String | text |
SDL.SDL_Color | fg |
SDL.SDL_Color | bg |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### TTF_RenderUNICODE_Solid(IntPtr, String, SDL.SDL_Color)

##### Declaration

    public static extern IntPtr TTF_RenderUNICODE_Solid(IntPtr font, string text, SDL.SDL_Color fg)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.String | text |
SDL.SDL_Color | fg |

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### TTF_RenderUTF8_Blended(IntPtr, String, SDL.SDL_Color)

##### Declaration

    public static IntPtr TTF_RenderUTF8_Blended(IntPtr font, string text, SDL.SDL_Color fg)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.String | text |
SDL.SDL_Color | fg |

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### TTF_RenderUTF8_Blended_Wrapped(IntPtr, String, SDL.SDL_Color, UInt32)

##### Declaration

    public static IntPtr TTF_RenderUTF8_Blended_Wrapped(IntPtr font, string text, SDL.SDL_Color fg, uint wrapped)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.String | text |
SDL.SDL_Color | fg |
System.UInt32 | wrapped |

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### TTF_RenderUTF8_Shaded(IntPtr, String, SDL.SDL_Color, SDL.SDL_Color)

##### Declaration

    public static IntPtr TTF_RenderUTF8_Shaded(IntPtr font, string text, SDL.SDL_Color fg, SDL.SDL_Color bg)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.String | text |
SDL.SDL_Color | fg |
SDL.SDL_Color | bg |

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### TTF_RenderUTF8_Solid(IntPtr, String, SDL.SDL_Color)

##### Declaration

    public static IntPtr TTF_RenderUTF8_Solid(IntPtr font, string text, SDL.SDL_Color fg)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.String | text |
SDL.SDL_Color | fg |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### TTF_SetFontHinting(IntPtr, Int32)

##### Declaration

    public static extern void TTF_SetFontHinting(IntPtr font, int hinting)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.Int32 | hinting |

#### TTF_SetFontKerning(IntPtr, Int32)

##### Declaration

    public static extern void TTF_SetFontKerning(IntPtr font, int allowed)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.Int32 | allowed |

#### TTF_SetFontOutline(IntPtr, Int32)

##### Declaration

    public static extern void TTF_SetFontOutline(IntPtr font, int outline)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.Int32 | outline |

#### TTF_SetFontStyle(IntPtr, Int32)

##### Declaration

    public static extern void TTF_SetFontStyle(IntPtr font, int style)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.Int32 | style |

#### TTF_SizeText(IntPtr, String, out Int32, out Int32)

##### Declaration

    public static extern int TTF_SizeText(IntPtr font, string text, out int w, out int h)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.String | text |
System.Int32 | w |
System.Int32 | h |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### TTF_SizeUNICODE(IntPtr, String, out Int32, out Int32)

##### Declaration

    public static extern int TTF_SizeUNICODE(IntPtr font, string text, out int w, out int h)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.String | text |
System.Int32 | w |
System.Int32 | h |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TTF_SizeUTF8(IntPtr, String, out Int32, out Int32)

##### Declaration

    public static int TTF_SizeUTF8(IntPtr font, string text, out int w, out int h)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | font |
System.String | text |
System.Int32 | w |
System.Int32 | h |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### TTF_WasInit()

##### Declaration

    public static extern int TTF_WasInit()

##### Returns

Type | Description
--- | ---
System.Int32 |